Bug 11865 - Show basket creator's name in pending orders table
Summary: Show basket creator's name in pending orders table
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-27 11:25 UTC by Julian Maurice
Modified: 2015-06-04 23:23 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11865: Show basket creator's name in pending orders table (1.76 KB, patch)
2014-02-27 11:26 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11865: Show basket creator's name in pending orders table (1.95 KB, patch)
2014-02-28 16:10 UTC, M. Tompsett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2014-02-27 11:25:57 UTC
Show basket creator's name in pending orders table
Comment 1 Julian Maurice 2014-02-27 11:26:33 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2014-02-28 16:10:47 UTC
Created attachment 25725 [details] [review]
[SIGNED OFF] Bug 11865: Show basket creator's name in pending orders table

Test plan:
1/ Go to order reception page (acqui/parcel.pl)
2/ In pending orders, under the basket column, you do not see the name
of borrower that created the basket.
3/ Apply patch
4/ Refresh page
5/ In pending orders, under the basket column, you should see the name
of borrower that created the basket.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Katrin Fischer 2014-03-22 09:16:55 UTC
This works as described, but I worry about adding more and more information to all the acquisition tables, because I think it can be counter productive to ergonomy and make them harder to use. 

In this case the patch doesn't add a link to another patch with more information, like the recent patches for adding the basket group numbers to more places, but it adds a very specific information. The table won't be sortable, the information will repeat for every order line from that basket. For a small library, it might even be always the same information repeated all over.

If you need to find out, who ordered a book, you can do a right click on the basket number link and open it in a new tab. There all the information about the basket will be displayed clearly - the name of the staff person who ordered it, when it was ordered, for which branch, etc.
Comment 4 Katrin Fischer 2014-03-22 09:18:16 UTC
... by 'the table won't be sortable' I meant: the column will not be sortable by the staff member who created the order.
Comment 5 Julian Maurice 2014-06-10 06:25:43 UTC
Our customer finally doesn't want the name of basket's creator but the name of order line's creator.
I close this bug and will open a new one.

Sorry.
Comment 6 Julian Maurice 2014-06-10 06:39:39 UTC
Bug 12395